Logo Site EngageLab Full Black
Beratung

Push-Validierungs-API

Funktion

Diese API validiert eine Push-Anfrage, ohne eine Nachricht an Benutzer zu senden. Die Anfrageparameter entsprechen der Create Push API.

Endpunkt

POST /v4/push/validate
              
              POST /v4/push/validate

            
Diesen Codeblock im schwebenden Fenster anzeigen

Authentifizierung

Informationen zur Authentifizierung finden Sie in der REST-API-Übersicht.

Anfragebeispiel

POST /v4/push/validate HTTP/1.1 Content-Type: application/json Authorization: Basic <base64(appKey:appSecret)>
              
              POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>

            
Diesen Codeblock im schwebenden Fenster anzeigen

Anfragetext

{ "from": "push", "to": "all", "body": { "platform": "web", "notification": { "alert": "Hi,MTPush !", "web": { "alert": "web_push", "title": "web_push", "url": "http://www.google.com", "extras": { "web-key1": "web-value1" } } } }, "request_id": "12345678", "custom_args": { "business": "info" } }
              
              {
    "from": "push",
    "to": "all",
    "body": {
        "platform": "web",
        "notification": {
            "alert": "Hi,MTPush !",
            "web": {
                "alert": "web_push",
                "title": "web_push",
                "url": "http://www.google.com",
                "extras": {
                    "web-key1": "web-value1"
                }
            }
        }
    },
    "request_id": "12345678",
    "custom_args": {
        "business": "info"
    }
}

            
Diesen Codeblock im schwebenden Fenster anzeigen

Antwortbeispiel

{ "request_id": "18", "msg_id": "1828256757" }
              
              {
  "request_id": "18",
  "msg_id": "1828256757"
}

            
Diesen Codeblock im schwebenden Fenster anzeigen
Icon Solid Transparent White Qiyu
Vertrieb kontaktieren